Enable the Visual Editor for Projet namespace on frwiktionary
Closed, ResolvedPublic0 Story Points

Description

Could you enable the visual editor on the "Projet" namespace? It will be really helpful for editing table. Thanks in advance

Local link of the vote to enable this feature: https://fr.wiktionary.org/wiki/Wiktionnaire:Wikid%C3%A9mie/janvier_2017#Installer_l.27.C3.A9diteur_visuel_sur_l.27espace_de_nom_Projet

Pamputt created this task.Jan 30 2017, 6:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2017, 6:57 PM

@Pamputt Currently, deployments are overseen by the Editing team at WMF Product. They would like to restrict VE to namespaces:

  • without any local village pump
  • without complex wiki markup

Did you assert your namespace Project: to match these two conditions?

Change 336347 had a related patch set uploaded (by Dereckson):
Enable VE on fr.wiktionary Projet: namespace

https://gerrit.wikimedia.org/r/336347

@Dereckson I guess so but maybe @Automatik could give a more reliable answer, especially for the second bullet.

Darkdadaah added a subscriber: Darkdadaah.EditedFeb 8 2017, 4:57 PM

Depends what you mean by "complex wiki markup". Most project pages use basic wiki syntax (e.g. tables), with very few templates.

Though this request for Visual Editor came to be because of a new special project that uses some wikitables, with divs hidden via mw-collapsible. Nothing much else (i.e. no templates). See this page as an example: https://fr.wiktionary.org/wiki/Utilisateur:Pamputt/Logoscope. The manipulations that users should be able to do are simple: alter the content of the rows.

So I'd say point #2 should not be an issue.

As for point #1, the Village Pump is in another namespace (Wiktionnaire:).

Dereckson triaged this task as "Normal" priority.Feb 8 2017, 5:05 PM

Thanks for the clarification. Very good, that seems to answer the general preoccupations of the Editing team.

Change 336347 merged by jenkins-bot:
Enable VE on fr.wiktionary Projet: namespace

https://gerrit.wikimedia.org/r/336347

Mentioned in SAL (#wikimedia-operations) [2017-02-08T19:54:36Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable VE on fr.wiktionary Projet: namespace (T156660) (duration: 00m 44s)

Dereckson closed this task as "Resolved".Feb 8 2017, 7:55 PM
Jdforrester-WMF set the point value for this task to 0.Feb 8 2017, 8:05 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.